import request from '@/utils/request'

// 查询我的成绩列表
export function listUserExam(query) {
  return request({
    url: '/elearn/userExam/list',
    method: 'get',
    params: query
  })
}

// 查询我的成绩列表
export function myListUserExam(query) {
  return request({
    url: '/elearn/userExam/myList',
    method: 'get',
    params: query
  })
}

// 查询我的成绩详细
export function getUserExam(id) {
  return request({
    url: '/elearn/userExam/' + id,
    method: 'get'
  })
}

// 新增我的成绩
export function addUserExam(data) {
  return request({
    url: '/elearn/userExam',
    method: 'post',
    data: data
  })
}

// 修改我的成绩
export function updateUserExam(data) {
  return request({
    url: '/elearn/userExam',
    method: 'put',
    data: data
  })
}

// 删除我的成绩
export function delUserExam(id) {
  return request({
    url: '/elearn/userExam/' + id,
    method: 'delete'
  })
}

// 导出我的成绩
export function exportUserExam(query) {
  return request({
    url: '/elearn/userExam/export',
    method: 'get',
    params: query
  })
}
